Admin APIWorkflows executions
Execute a Workflow
Execute a workflow by its ID.
AuthorizationBearer <token>
In: header
Path Parameters
workflow_id*string
The workflow's ID.
Request Body
application/json
input?unknown
The input to pass to the workflow. Can be of any type.
transaction_id?string
The ID of the workflow execution's transaction.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/workflows-executions/string/run" \ -H "Content-Type: application/json" \ -d '{}'{
"acknowledgement": {
"workflowId": "string",
"transactionId": "string",
"parentStepIdempotencyKey": "string",
"hasFinished": true,
"hasFailed": true
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Subscribe to Step of a Workflow's Execution
Subscribe to a step in a workflow's execution to receive real-time information about its status and data. This route returns an event stream that you can consume using the [EventSource API](https://developer.mozilla.org/en-US/docs/Web/API/EventSource).
Fail a Step in a Workflow's Execution
Set the status of a step in a workflow's execution as failed. This is useful for long-running workflows.